Bug 239564

Summary: Some layout tests are failing on EWS but not post commit testing due to a OS difference
Product: WebKit Reporter: Truitt Savell <tsavell>
Component: Tools / TestsAssignee: Robert Jenner <jenner>
Status: REOPENED ---    
Severity: Normal CC: akeerthi, ap, simon.fraser, webkit-bot-watchers-bugzilla, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   

Description Truitt Savell 2022-04-20 13:40:10 PDT
We need to mark these tests as failing until EWS can be updated, then these tests can be unmarked. 

storage/indexeddb/modern/index-get-count-failures.html
storage/indexeddb/modern/deleteobjectstore-1.html
http/tests/app-privacy-report/user-attribution-cors-preflight-redirect.html
Comment 1 Radar WebKit Bug Importer 2022-04-20 13:40:32 PDT
<rdar://problem/92048802>
Comment 2 Truitt Savell 2022-04-20 14:34:40 PDT
Pull request: https://github.com/WebKit/WebKit/pull/330
Comment 3 EWS 2022-04-20 14:37:58 PDT
Committed r293115 (249821@main): <https://commits.webkit.org/249821@main>

Reviewed commits have been landed. Closing PR #330 and removing active labels.
Comment 4 Truitt Savell 2022-04-20 14:41:54 PDT
reopened.
Comment 5 Truitt Savell 2022-05-03 14:57:52 PDT
fast/forms/select-list-box-with-height.html
fast/forms/control-restrict-line-height.html
tables/mozilla/bugs/bug2479-3.html

here's another set that need to be marked until EWS is updated
Comment 6 Truitt Savell 2022-05-03 15:59:21 PDT
Pull request: https://github.com/WebKit/WebKit/pull/485
Comment 7 EWS 2022-05-03 16:03:28 PDT
Test gardening commit r293745 (250233@main): <https://commits.webkit.org/250233@main>

Reviewed commits have been landed. Closing PR #485 and removing active labels.
Comment 8 Simon Fraser (smfr) 2022-05-03 17:12:28 PDT
For tests with -expected.txt, normally we deal with platform differences by landing results in the relevant platform/mac- directory. Can we do that here?
Comment 9 Robert Jenner 2022-06-08 17:48:13 PDT
Pull request: https://github.com/WebKit/WebKit/pull/1400
Comment 10 EWS 2022-06-08 17:50:57 PDT
Test gardening commit r295406 (251412@main): <https://commits.webkit.org/251412@main>

Reviewed commits have been landed. Closing PR #1400 and removing active labels.